Subject: [os2genau_digest] No. 1547
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 10 Sep 2007 00:00:30 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 09 September 2007
 Number  1547
**************************************************

Subjects for today
 
1  Re:  Lost the close minimise and maximise icons on every window : Peter Moylan <peter at pmoylan dot org>
2  Re:  Lost the close minimise and maximise icons on every window : Ken Laurie <ken.laurie at graeleah dot com>

**= Email   1 ==========================**

Date:  Sun, 09 Sep 2007 03:32:40 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Lost the close minimise and maximise icons on every window

On 08/09/07 17:01, Ken Laurie wrote:
> Peter
> 
> Just ran checkini and it came back with
>> Deregister class WPScheme because D:\ECS\DLL\WPSCHEME.DLL cannot be
>>  loaded?
> 
> This could be the problem. Any ideas why it cannot load the dll?

It's not necessarily a problem. Often obsolete software leaves a class
registered even though it's no longer supported. For what it's worth, I
don't have any file called WPSCHEME.DLL on my computer. (I have eCS
version 1.14. I have the licence for a later version, but never seem to
get around to installing it.) Most likely you have some "schemes"
software where the implementation changed from one version to another.
I'd be inclined just to let checkini deregister the class; it's not
likely to do any harm.

One problem we do have with checkini is that it was no longer developed
after eCS was introduced, so it's a little out of date. (I think that
either Serenity or Netlabs took over the code, but they don't seem to
have done much with it.) I still run it anyway, and ignore the
occasional error message. In fact I mostly use CleanINI (since it's a
lot faster), but I still run CheckINI now and then to fix any residual
problems.

For the last week or so I have seen the swap file smaller than the
CONFIG.SYS specifies, and I kept getting problems like Firefox suddenly
crashing for no apparent reason. Those problems seem to have gone away
since I've done two things: run Checkini, and empty the trash can. That
"trash can" can have some very unfortunate side-effects, like making the
disk free space too small to let INI files be saved. Yet another example
of a "feature" copied from Microsoft that made my computer more
crash-prone. Microsoft itself doesn't have this problem with the trash
can, because it requires a bigger and bigger computer with each new
release. (Although I see that Dell is now offering Windows XP as a free
"upgrade" from Windows Vista, presumably because they've been getting
too many complaints about Vista not being ready for beta testing.)

As for the problems with Warpvision: it seems that the WMV format is not
properly documented, so the Warpvision developer is having trouble
keeping up with a moving target. I see that Firefox now has an extension
that will block all Flash advertising. I think it's just a matter of
time before people routinely block all WMV files as well.

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

Please note that my e-mail address has changed yet again.
Some of my older addresses still work, but it is not certain
when they will be phased out.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 09 Sep 2007 08:02:56 +1000
From:  Ken Laurie <ken.laurie at graeleah dot com>
Subject:  Re:  Lost the close minimise and maximise icons on every window

Hi Peter

I have basically stopped using warpvision basically because of the WMV
problems. Not that I have a lot of them. I have just found that I mainly
use KMP and MPlayer to play any video clips or movies. Together I seem
to be able to play just about everything.

I normally run checkini manually which tends to be a lot slower and
cleanini and on the odd occasion xfix. These tend to keep my ini files
down to acceptable sizes.

Interesting comment about the trash can as I cannot say that I have had
this problem. I have a partition that is basically just for my ecs that
has very little delete activity happening on it. I have worked on the
principle for many years that I should be able to easily re-build my OS
partition with minimal effect on my data and applications, so I keep
them separate as much as possible.

regards
Ken

Peter Moylan wrote:
> On 08/09/07 17:01, Ken Laurie wrote:
>> Peter
>>
>> Just ran checkini and it came back with
>>> Deregister class WPScheme because D:\ECS\DLL\WPSCHEME.DLL cannot be
>>>  loaded?
>>
>> This could be the problem. Any ideas why it cannot load the dll?
> 
> It's not necessarily a problem. Often obsolete software leaves a class
> registered even though it's no longer supported. For what it's worth, I
> don't have any file called WPSCHEME.DLL on my computer. (I have eCS
> version 1.14. I have the licence for a later version, but never seem to
> get around to installing it.) Most likely you have some "schemes"
> software where the implementation changed from one version to another.
> I'd be inclined just to let checkini deregister the class; it's not
> likely to do any harm.
> 
> One problem we do have with checkini is that it was no longer developed
> after eCS was introduced, so it's a little out of date. (I think that
> either Serenity or Netlabs took over the code, but they don't seem to
> have done much with it.) I still run it anyway, and ignore the
> occasional error message. In fact I mostly use CleanINI (since it's a
> lot faster), but I still run CheckINI now and then to fix any residual
> problems.
> 
> For the last week or so I have seen the swap file smaller than the
> CONFIG.SYS specifies, and I kept getting problems like Firefox suddenly
> crashing for no apparent reason. Those problems seem to have gone away
> since I've done two things: run Checkini, and empty the trash can. That
> "trash can" can have some very unfortunate side-effects, like making the
> disk free space too small to let INI files be saved. Yet another example
> of a "feature" copied from Microsoft that made my computer more
> crash-prone. Microsoft itself doesn't have this problem with the trash
> can, because it requires a bigger and bigger computer with each new
> release. (Although I see that Dell is now offering Windows XP as a free
> "upgrade" from Windows Vista, presumably because they've been getting
> too many complaints about Vista not being ready for beta testing.)
> 
> As for the problems with Warpvision: it seems that the WMV format is not
> properly documented, so the Warpvision developer is having trouble
> keeping up with a moving target. I see that Firefox now has an extension
> that will block all Flash advertising. I think it's just a matter of
> time before people routinely block all WMV files as well.
> 
----------------------------------------------------------------------------------